Subject: Ticket Assigned - Item return
From: Splash <[email-masked]>
To: [email-masked]
Date: Mon, 28 Feb 2022 16:01:01 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Item return Hello,
I want to return an item in my order with the price 89. But I cannot do it
from the website since I ordered as a guest and I'm out of the country now
so I cannot call. However I left the item in the shipping address with my
sister. How can I arrange for a return?

Thanks for your help

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3945431